<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:f48e6b7d-9db3-4c28-b39b-687eb3a4f266,g:c6fee46a-2c0e-47b5-b7b1-76a077ff426f-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://amrest.eu/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations_5960970a-6e39-4465-a643-d78c4c7a42d3" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_5756b353-3822-4c88-9f13-8ac0ed38d258" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_5960970a-6e39-4465-a643-d78c4c7a42d3" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_5756b353-3822-4c88-9f13-8ac0ed38d258" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_4a91fad0-2173-416d-abd6-c11fbfb474c5" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_5960970a-6e39-4465-a643-d78c4c7a42d3" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_4a91fad0-2173-416d-abd6-c11fbfb474c5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_3250f5bf-9e9a-4bc2-ba96-6a4b21420a24" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFoodAndMerchandise_e9500392-49d4-4b51-a931-66bc05de4a32" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantFoodAndMerchandise"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_3250f5bf-9e9a-4bc2-ba96-6a4b21420a24" xlink:to="loc_amrest_RestaurantFoodAndMerchandise_e9500392-49d4-4b51-a931-66bc05de4a32" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantFranchiseAndOtherExpenses_680cd7bb-492a-4910-b4c1-1b915d801614" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantFranchiseAndOtherExpenses"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_3250f5bf-9e9a-4bc2-ba96-6a4b21420a24" xlink:to="loc_amrest_RestaurantFranchiseAndOtherExpenses_680cd7bb-492a-4910-b4c1-1b915d801614" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses_2ab1373f-2f04-4066-afe6-8e0d1f67053d" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantOccupancyAndOtherOperatingExpenses"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_3250f5bf-9e9a-4bc2-ba96-6a4b21420a24" xlink:to="loc_amrest_RestaurantOccupancyAndOtherOperatingExpenses_2ab1373f-2f04-4066-afe6-8e0d1f67053d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_be402ce4-9512-4e31-952b-d08c8fd8e142" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_3250f5bf-9e9a-4bc2-ba96-6a4b21420a24" xlink:to="loc_ifrs-full_Revenue_be402ce4-9512-4e31-952b-d08c8fd8e142" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RoyaltyExpense_b661a068-4f0e-4503-a2ea-87b009dbcd61" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RoyaltyExpense"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_3250f5bf-9e9a-4bc2-ba96-6a4b21420a24" xlink:to="loc_ifrs-full_RoyaltyExpense_b661a068-4f0e-4503-a2ea-87b009dbcd61" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_d644e858-e749-4072-817d-023446b22f15" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits"/>
    <link:calculationArc order="6" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_3250f5bf-9e9a-4bc2-ba96-6a4b21420a24" xlink:to="loc_amrest_RestaurantPayrollSocialSecurityAndEmployeeBenefits_d644e858-e749-4072-817d-023446b22f15" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_ProfitLossFromOperations_2fab6c4c-8c0f-465a-ae8b-1960b142844b" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_ProfitLossFromOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdministrativeExpense_827f3773-584a-4b43-80f5-fabb817e5dec" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdministrativeExpense"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_2fab6c4c-8c0f-465a-ae8b-1960b142844b" xlink:to="loc_ifrs-full_AdministrativeExpense_827f3773-584a-4b43-80f5-fabb817e5dec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherGainsLosses_ebc287db-99d1-484c-b7d7-aef2a10304d0" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherGainsLosses"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_2fab6c4c-8c0f-465a-ae8b-1960b142844b" xlink:to="loc_ifrs-full_OtherGainsLosses_ebc287db-99d1-484c-b7d7-aef2a10304d0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_NetImpairmentLossesOnOtherAssets_e4c4c305-47da-4689-8a80-7bef3756730e" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_NetImpairmentLossesOnOtherAssets"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_2fab6c4c-8c0f-465a-ae8b-1960b142844b" xlink:to="loc_amrest_NetImpairmentLossesOnOtherAssets_e4c4c305-47da-4689-8a80-7bef3756730e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_bedd21e0-361e-430a-a873-0647567c5f33" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_2fab6c4c-8c0f-465a-ae8b-1960b142844b" xlink:to="loc_ifrs-full_GrossProfit_bedd21e0-361e-430a-a873-0647567c5f33" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_e7d87c6c-692a-4944-adc7-408ae3a074ab" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_amrest_ProfitLossFromOperations_2fab6c4c-8c0f-465a-ae8b-1960b142844b" xlink:to="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_e7d87c6c-692a-4944-adc7-408ae3a074ab" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdministrativeExpense_2697769f-ea04-40df-a199-688a65026286" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdministrativeExpense"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:to="loc_ifrs-full_AdministrativeExpense_2697769f-ea04-40df-a199-688a65026286" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceCosts_b01e66cb-be2b-41de-aac8-43ceb3ab08fb" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceCosts"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:to="loc_ifrs-full_FinanceCosts_b01e66cb-be2b-41de-aac8-43ceb3ab08fb" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherGainsLosses_fc723242-cf7b-4a72-9639-976b1f190940" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherGainsLosses"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:to="loc_ifrs-full_OtherGainsLosses_fc723242-cf7b-4a72-9639-976b1f190940" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_NetImpairmentLossesOnOtherAssets_e85d9aed-172a-4978-8f1f-6ef143fe1fe7" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_NetImpairmentLossesOnOtherAssets"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:to="loc_amrest_NetImpairmentLossesOnOtherAssets_e85d9aed-172a-4978-8f1f-6ef143fe1fe7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_8ba698eb-c8b6-43cd-880f-5eb890705129" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:to="loc_ifrs-full_GrossProfit_8ba698eb-c8b6-43cd-880f-5eb890705129" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncome_98ff0fbf-4d55-4e23-8db3-9e40e4962e48" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncome"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:to="loc_ifrs-full_FinanceIncome_98ff0fbf-4d55-4e23-8db3-9e40e4962e48" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_3836d910-7931-452b-81cd-1d2ed4417f87" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"/>
    <link:calculationArc order="7" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_20f492f5-8de3-4c80-866c-13ee748c41f7" xlink:to="loc_ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9_3836d910-7931-452b-81cd-1d2ed4417f87" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Revenue_8829987b-06af-445d-86f7-0d554edceb81" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_FranchiseAndOtherRevenue_91459bc2-0523-4652-a930-414f7f953a1f" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_FranchiseAndOtherRevenue"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_8829987b-06af-445d-86f7-0d554edceb81" xlink:to="loc_amrest_FranchiseAndOtherRevenue_91459bc2-0523-4652-a930-414f7f953a1f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueFromSaleOfFoodAndBeverage_8486a4dc-0bdd-4ff0-8903-c12d0d01124f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RevenueFromSaleOfFoodAndBeverage"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Revenue_8829987b-06af-445d-86f7-0d554edceb81" xlink:to="loc_ifrs-full_RevenueFromSaleOfFoodAndBeverage_8486a4dc-0bdd-4ff0-8903-c12d0d01124f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_84150795-26bd-4fc0-923e-d0ae3987cd32" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests_f7933c35-7ee1-4abd-869c-aa8a68410f60" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_84150795-26bd-4fc0-923e-d0ae3987cd32" xlink:to="loc_ifrs-full_ProfitLossAttributableToNoncontrollingInterests_f7933c35-7ee1-4abd-869c-aa8a68410f60" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent_c3970a1d-c2e0-421e-93b2-e86f6a2d428d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_84150795-26bd-4fc0-923e-d0ae3987cd32" xlink:to="loc_ifrs-full_ProfitLossAttributableToOwnersOfParent_c3970a1d-c2e0-421e-93b2-e86f6a2d428d" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://amrest.eu/role/StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementofcomprehensiveincomeOCIcomponentspresentedbeforetaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_5f1c857e-545b-44d2-a532-18e3ea7c274d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_bb601128-f117-42d5-8648-b73d6e40f516" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_5f1c857e-545b-44d2-a532-18e3ea7c274d" xlink:to="loc_ifrs-full_ProfitLoss_bb601128-f117-42d5-8648-b73d6e40f516" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_cb47450d-f51a-4856-b33b-01d01172ec29" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_5f1c857e-545b-44d2-a532-18e3ea7c274d" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_cb47450d-f51a-4856-b33b-01d01172ec29" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_99a738ff-8a15-4107-8ee9-46b1597db6d6" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_e487243b-f07e-4c4b-9bfe-97dd73aabafe" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_99a738ff-8a15-4107-8ee9-46b1597db6d6" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxExchangeDifferencesOnTranslation_e487243b-f07e-4c4b-9bfe-97dd73aabafe" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations_54b93e4a-a4a6-4a59-b12d-50468bd62347" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_99a738ff-8a15-4107-8ee9-46b1597db6d6" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations_54b93e4a-a4a6-4a59-b12d-50468bd62347" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome_d8fd53da-8c9d-4bc3-884d-6b0e924a5ad8" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_99a738ff-8a15-4107-8ee9-46b1597db6d6" xlink:to="loc_ifrs-full_IncomeTaxRelatingToHedgesOfNetInvestmentsInForeignOperationsOfOtherComprehensiveIncome_d8fd53da-8c9d-4bc3-884d-6b0e924a5ad8" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://amrest.eu/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_cd9fed81-e237-4001-b8d0-90fb51e2710f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_6eb31f0b-d1da-4b99-84f8-4a661c742263" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_cd9fed81-e237-4001-b8d0-90fb51e2710f" xlink:to="loc_ifrs-full_NoncurrentLiabilities_6eb31f0b-d1da-4b99-84f8-4a661c742263" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_4888a7fa-4d08-4a94-bdd9-1d7477c83783" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Liabilities_cd9fed81-e237-4001-b8d0-90fb51e2710f" xlink:to="loc_ifrs-full_CurrentLiabilities_4888a7fa-4d08-4a94-bdd9-1d7477c83783" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_79bf752b-e859-4b4a-a4a0-58c941894188" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_8cd2dd12-d237-4529-830d-0487cad7b569" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_79bf752b-e859-4b4a-a4a0-58c941894188" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_8cd2dd12-d237-4529-830d-0487cad7b569" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncontrollingInterests_09bedd70-3665-498d-bd55-07525a79c53b" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncontrollingInterests"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_79bf752b-e859-4b4a-a4a0-58c941894188" xlink:to="loc_ifrs-full_NoncontrollingInterests_09bedd70-3665-498d-bd55-07525a79c53b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_f30ccfa0-11f0-445d-b73e-43ee52d34fab" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_7d72c8d9-d6bc-4f18-bf21-8bd2f6e7eb23" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_f30ccfa0-11f0-445d-b73e-43ee52d34fab" xlink:to="loc_ifrs-full_NoncurrentAssets_7d72c8d9-d6bc-4f18-bf21-8bd2f6e7eb23" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_3bd517f5-f72a-46f0-a759-f0cdd2b40e46" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_f30ccfa0-11f0-445d-b73e-43ee52d34fab" xlink:to="loc_ifrs-full_CurrentAssets_3bd517f5-f72a-46f0-a759-f0cdd2b40e46" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_613977ad-07e4-44c5-8893-b776ba78cf96" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_df067809-85d5-4e0c-8116-8fc9f6891a2b" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_613977ad-07e4-44c5-8893-b776ba78cf96" xlink:to="loc_ifrs-full_CashAndCashEquivalents_df067809-85d5-4e0c-8116-8fc9f6891a2b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentPrepayments_73ee2ffb-7f13-42da-a461-0c9a012d8909" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentPrepayments"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_613977ad-07e4-44c5-8893-b776ba78cf96" xlink:to="loc_ifrs-full_CurrentPrepayments_73ee2ffb-7f13-42da-a461-0c9a012d8909" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxAssetsCurrent_f8c2d1a2-96b6-4f21-a5b9-098014b90c9c" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_613977ad-07e4-44c5-8893-b776ba78cf96" xlink:to="loc_ifrs-full_CurrentTaxAssetsCurrent_f8c2d1a2-96b6-4f21-a5b9-098014b90c9c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_b5994d63-a7d6-4759-88d3-479417d637bd" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_613977ad-07e4-44c5-8893-b776ba78cf96" xlink:to="loc_ifrs-full_Inventories_b5994d63-a7d6-4759-88d3-479417d637bd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_CurrentTradeReceivablesAndOtherReceivables_3c9f60c8-9544-4e92-9902-e3f6e3f7d5dc" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_CurrentTradeReceivablesAndOtherReceivables"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_613977ad-07e4-44c5-8893-b776ba78cf96" xlink:to="loc_amrest_CurrentTradeReceivablesAndOtherReceivables_3c9f60c8-9544-4e92-9902-e3f6e3f7d5dc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermDeposits_45d77f47-7909-4b10-86e3-6804ce915114" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermDeposits"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:to="loc_ifrs-full_LongtermDeposits_45d77f47-7909-4b10-86e3-6804ce915114" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InvestmentProperty_6eaabbef-a438-43d3-bfcf-dab178810600" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentProperty"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:to="loc_ifrs-full_InvestmentProperty_6eaabbef-a438-43d3-bfcf-dab178810600" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_ebf3ffaf-1828-4214-b0e0-4d902214d0a9" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_ebf3ffaf-1828-4214-b0e0-4d902214d0a9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty_844704a9-ccc2-43de-83be-281a0a1bd371" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:to="loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty_844704a9-ccc2-43de-83be-281a0a1bd371" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_c56da627-1298-4485-a21e-309e15df6e36" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:to="loc_ifrs-full_DeferredTaxAssets_c56da627-1298-4485-a21e-309e15df6e36" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Goodwill_a3302e03-b99b-4af7-b277-c0cdef16991a" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Goodwill"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:to="loc_ifrs-full_Goodwill_a3302e03-b99b-4af7-b277-c0cdef16991a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_58024016-7e30-4140-917e-782c7d90f5c4" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_4e391aa1-3530-4e12-a53c-4bf20b35af0c" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_58024016-7e30-4140-917e-782c7d90f5c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_32d7a5c9-84e8-4890-a748-f5a831f73037" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Liabilities_9417d2c6-ae21-4b6d-ab77-2479c361461d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_32d7a5c9-84e8-4890-a748-f5a831f73037" xlink:to="loc_ifrs-full_Liabilities_9417d2c6-ae21-4b6d-ab77-2479c361461d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_0d117005-a4db-4626-92b6-49d06a9f1716" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_32d7a5c9-84e8-4890-a748-f5a831f73037" xlink:to="loc_ifrs-full_Equity_0d117005-a4db-4626-92b6-49d06a9f1716" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_cbc5ca79-1b45-4817-929f-9939dcc19283" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_0ddd2b95-b60b-43c2-b202-7affa701a0a8" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_cbc5ca79-1b45-4817-929f-9939dcc19283" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_0ddd2b95-b60b-43c2-b202-7affa701a0a8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayables_5ed6efd1-997a-4715-ac5d-1122e48439e9" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_cbc5ca79-1b45-4817-929f-9939dcc19283" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayables_5ed6efd1-997a-4715-ac5d-1122e48439e9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherShorttermProvisions_d5a4c2ec-65a8-430e-90b8-d7fda7ead672" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherShorttermProvisions"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_cbc5ca79-1b45-4817-929f-9939dcc19283" xlink:to="loc_ifrs-full_OtherShorttermProvisions_d5a4c2ec-65a8-430e-90b8-d7fda7ead672" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_cd659361-04db-47b9-9600-1e286071049e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_cbc5ca79-1b45-4817-929f-9939dcc19283" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_cd659361-04db-47b9-9600-1e286071049e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_1963af22-c4ee-4202-8463-cbf6e08fd0db" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_cbc5ca79-1b45-4817-929f-9939dcc19283" xlink:to="loc_ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings_1963af22-c4ee-4202-8463-cbf6e08fd0db" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_e873ee51-98b8-40d7-b599-2842d66fbd2e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_Reserves_775244cb-fa0b-4ccd-90df-b96bcd1708f4" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_Reserves"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_e873ee51-98b8-40d7-b599-2842d66fbd2e" xlink:to="loc_amrest_Reserves_775244cb-fa0b-4ccd-90df-b96bcd1708f4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_657268d7-09b4-4476-9eb9-d143a6e21d27" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_e873ee51-98b8-40d7-b599-2842d66fbd2e" xlink:to="loc_ifrs-full_ReserveOfExchangeDifferencesOnTranslation_657268d7-09b4-4476-9eb9-d143a6e21d27" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RetainedEarnings_f4985c7b-f783-41a6-9bda-4203bd8d0353" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RetainedEarnings"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_e873ee51-98b8-40d7-b599-2842d66fbd2e" xlink:to="loc_ifrs-full_RetainedEarnings_f4985c7b-f783-41a6-9bda-4203bd8d0353" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IssuedCapital_7bf037d8-3276-4823-8efe-72a6910f6354" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_e873ee51-98b8-40d7-b599-2842d66fbd2e" xlink:to="loc_ifrs-full_IssuedCapital_7bf037d8-3276-4823-8efe-72a6910f6354" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_da5f78b3-a282-46e0-bd2d-80bf701ca805" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_LongtermBorrowings_6b2041a6-96cd-422c-9512-c1132449d325" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_LongtermBorrowings"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_da5f78b3-a282-46e0-bd2d-80bf701ca805" xlink:to="loc_ifrs-full_LongtermBorrowings_6b2041a6-96cd-422c-9512-c1132449d325" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_087024be-b5a9-4332-9ce6-1dfe08ad3c96" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_da5f78b3-a282-46e0-bd2d-80bf701ca805" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_087024be-b5a9-4332-9ce6-1dfe08ad3c96" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_8b83b1e0-ea75-497e-bfd5-e7d00c7700cc" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_da5f78b3-a282-46e0-bd2d-80bf701ca805" xlink:to="loc_amrest_OtherNonCurrentLiabilitiesAndEmployeeBenefitsLiabilities_8b83b1e0-ea75-497e-bfd5-e7d00c7700cc" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_1d20cdf4-da5b-4c1d-bbe3-011a71462b2e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_da5f78b3-a282-46e0-bd2d-80bf701ca805" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_1d20cdf4-da5b-4c1d-bbe3-011a71462b2e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherLongtermProvisions_b097fc25-fc01-42c3-865e-b7cfd66aa740" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherLongtermProvisions"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_da5f78b3-a282-46e0-bd2d-80bf701ca805" xlink:to="loc_ifrs-full_OtherLongtermProvisions_b097fc25-fc01-42c3-865e-b7cfd66aa740" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://amrest.eu/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://amrest.eu/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_7123092e-aa8c-4d6e-b8a1-adb958d60f09" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_51be8012-7517-4b49-bdae-acda85cc0298" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_7123092e-aa8c-4d6e-b8a1-adb958d60f09" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_51be8012-7517-4b49-bdae-acda85cc0298" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_82861498-8ce9-427f-8660-bfa137fae892" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_7123092e-aa8c-4d6e-b8a1-adb958d60f09" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations_82861498-8ce9-427f-8660-bfa137fae892" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_1c8c8c76-a7c7-4ffe-b828-28170b5cafcd" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_1c8c8c76-a7c7-4ffe-b828-28170b5cafcd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_e894a023-8daf-416c-bb53-f06634805768" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_e894a023-8daf-416c-bb53-f06634805768" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_TransactionsWithNonControllingInterest_9e3933f9-24ef-43a1-bdba-4ac26e6c3f14" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_TransactionsWithNonControllingInterest"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_amrest_TransactionsWithNonControllingInterest_9e3933f9-24ef-43a1-bdba-4ac26e6c3f14" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_742e37ed-216e-41c8-a235-ebb75faea064" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities_742e37ed-216e-41c8-a235-ebb75faea064" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_d5a1df70-f2a7-4e0e-83e9-907ca24a2a55" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities"/>
    <link:calculationArc order="5" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities_d5a1df70-f2a7-4e0e-83e9-907ca24a2a55" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_InterestReceivedClassifiedAsFinancingActivities_d99b9479-87e5-46ee-848b-a722ce91758d" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_InterestReceivedClassifiedAsFinancingActivities"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_amrest_InterestReceivedClassifiedAsFinancingActivities_d99b9479-87e5-46ee-848b-a722ce91758d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromExerciseOfOptions_f0fc8114-e3df-4fdb-9cff-091a9f922e4d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromExerciseOfOptions"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_ifrs-full_ProceedsFromExerciseOfOptions_f0fc8114-e3df-4fdb-9cff-091a9f922e4d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_14b323eb-3d8a-44d8-b846-dbbad1228341" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
    <link:calculationArc order="8" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_37df1f93-15c4-4a37-b720-32ba7e6700c3" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_14b323eb-3d8a-44d8-b846-dbbad1228341" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_e002ae69-b98a-4241-833d-6fd9096ddea4" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_e002ae69-b98a-4241-833d-6fd9096ddea4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_75bc6d33-56fa-46a4-8ac4-46b86a56b3b9" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForIncomeTaxExpense_75bc6d33-56fa-46a4-8ac4-46b86a56b3b9" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_951ab6a2-5502-44b0-9eee-daac7beb1795" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForProvisions"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_951ab6a2-5502-44b0-9eee-daac7beb1795" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForSharebasedPayments_470779a5-ff89-4d3e-9ecf-db421a4a93f6" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForSharebasedPayments"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForSharebasedPayments_470779a5-ff89-4d3e-9ecf-db421a4a93f6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_b256898f-1700-4a31-93bf-9dfc8eb03176" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_b256898f-1700-4a31-93bf-9dfc8eb03176" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_86464f1d-a46c-44d3-8b1b-4adb65ef6852" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_86464f1d-a46c-44d3-8b1b-4adb65ef6852" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_80221e05-7c71-4c12-b4a4-942cd0eeaa2f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_ProfitLoss_80221e05-7c71-4c12-b4a4-942cd0eeaa2f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_5408f322-c823-4293-88bf-e8e1b6627f6f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_5408f322-c823-4293-88bf-e8e1b6627f6f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_3de0bbf1-0e92-4fb3-89d2-7a2f46d7d426" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable_3de0bbf1-0e92-4fb3-89d2-7a2f46d7d426" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForInterestExpense_e835fefb-d1b4-4c74-a6d8-f699f13fc22f" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForInterestExpense"/>
    <link:calculationArc order="10" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForInterestExpense_e835fefb-d1b4-4c74-a6d8-f699f13fc22f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_41d5d8fc-b147-46a3-8ed7-110304319b4d" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost"/>
    <link:calculationArc order="11" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_41d5d8fc-b147-46a3-8ed7-110304319b4d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_03bc3520-dfc0-43d7-83d8-51c7b1000f10" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
    <link:calculationArc order="12" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss_03bc3520-dfc0-43d7-83d8-51c7b1000f10" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss_b034b62b-8221-4f20-813a-c800a16ec149" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss"/>
    <link:calculationArc order="13" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_OtherAdjustmentsToReconcileProfitLoss_b034b62b-8221-4f20-813a-c800a16ec149" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow_403b995c-de56-4240-874e-34fe3ec9c74e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow"/>
    <link:calculationArc order="14" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow_403b995c-de56-4240-874e-34fe3ec9c74e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_5b89b4d5-1aca-404f-9927-56fd457559ab" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"/>
    <link:calculationArc order="15" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable_5b89b4d5-1aca-404f-9927-56fd457559ab" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_amrest_RentConcession_f73cb2f5-ab6b-4630-8899-20986c1b4ae0" xlink:href="259400T6ZDQIMDBGDN42-2022-12-31.xsd#amrest_RentConcession"/>
    <link:calculationArc order="16" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_95ab8865-6422-444d-8c51-f37d8c648e48" xlink:to="loc_amrest_RentConcession_f73cb2f5-ab6b-4630-8899-20986c1b4ae0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_cbcea055-23d5-43d6-8538-5088305ff601" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_0b0b76c9-4389-4f8c-8ec4-49775be46a99" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_cbcea055-23d5-43d6-8538-5088305ff601" xlink:to="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents_0b0b76c9-4389-4f8c-8ec4-49775be46a99" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_b1048516-8bd8-4907-ac64-e317ab589284" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_cbcea055-23d5-43d6-8538-5088305ff601" xlink:to="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_b1048516-8bd8-4907-ac64-e317ab589284" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_57b41481-6a5a-49af-8e8c-87358fbdd0bb" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_679a8ca6-0dc5-4797-93ca-57ee4b7c7695" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_57b41481-6a5a-49af-8e8c-87358fbdd0bb" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_679a8ca6-0dc5-4797-93ca-57ee4b7c7695" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_73049b59-a8bf-4a9b-a200-b2c2b3c3a68b" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_57b41481-6a5a-49af-8e8c-87358fbdd0bb" xlink:to="loc_ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_73049b59-a8bf-4a9b-a200-b2c2b3c3a68b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_79b29657-96d7-49dd-9a56-196e38942301" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_57b41481-6a5a-49af-8e8c-87358fbdd0bb" xlink:to="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_79b29657-96d7-49dd-9a56-196e38942301" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_e12f9b86-6a8d-4ca8-9fa5-783ea17a8bff" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="4" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_57b41481-6a5a-49af-8e8c-87358fbdd0bb" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_e12f9b86-6a8d-4ca8-9fa5-783ea17a8bff" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_a5c4f59a-d905-48b7-8d11-b3b0d193565e" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_57b41481-6a5a-49af-8e8c-87358fbdd0bb" xlink:to="loc_ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_a5c4f59a-d905-48b7-8d11-b3b0d193565e" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
